require("Script.src.Cases.Editing");
require("Script.src.Core.GameWorld");
require("Script.src.imgui_1")

LuaApp = LuaApp or class("LuaApp", nil);

function LuaApp:ctor()

end

function LuaApp:dtor()

end

function LuaApp:Init()

end

function LuaApp:UnInit()
    
end

function LuaApp:GameLoop()
    Editing.Instance:GameLoop();
end

function LuaApp:RenderUI()
    if true == GameWorld.Instance:IsEditMode() then
        Editing.Instance:RenderUI(); 
    end
end
